---
apiVersion: "v1"
kind: "List"
items:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "kafka"
  spec:
    ports:
    - port: 9092
      protocol: "TCP"
      targetPort: 9092
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector-admin"
  spec:
    ports:
    - port: 9900
      protocol: "TCP"
      targetPort: 9900
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector-thrift"
  spec:
    ports:
    - port: 9410
      protocol: "TCP"
      targetPort: 9410
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-mysql"
  spec:
    ports:
    - port: 3306
      protocol: "TCP"
      targetPort: 3306
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-query"
  spec:
    ports:
    - port: 9411
      protocol: "TCP"
      targetPort: 9411
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper"
  spec:
    ports:
    - name: "client"
      port: 2181
      targetPort: 2181
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    type: "LoadBalancer"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-1"
  spec:
    clusterIP: "None"
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "1"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-2"
  spec:
    clusterIP: "None"
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "2"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-3"
  spec:
    clusterIP: "None"
    ports:
    - name: "election"
      port: 3888
      targetPort: 3888
    - name: "peer"
      port: 2888
      targetPort: 2888
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "3"
      group: "io.fabric8.zipkin"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "kafka"
  spec:
    replicas: 1
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          project: "zipkin-starter"
          provider: "fabric8"
          version: "2.2.108"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/kafka:2.2.108"
          name: "kafka"
          ports:
          - containerPort: 9092
            name: "kafka"
          - containerPort: 8778
            name: "jolokia"
          volumeMounts:
          - mountPath: "/opt/kafka/logs"
            name: "logs"
            readOnly: false
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "logs"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-collector"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "zipkin-starter"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          provider: "fabric8"
          project: "zipkin-starter"
          version: "0.1.3"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "KAFKA_ZOOKEEPER"
            value: "zookeeper:2181"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "kafka"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-collector:1.39.3"
          name: "zipkin-collector"
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-mysql"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "zipkin-starter"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          provider: "fabric8"
          project: "zipkin-starter"
          version: "0.1.3"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/zipkin-mysql:0.1.3"
          name: "zipkin-mysql"
          readinessProbe:
            initialDelaySeconds: 5
            tcpSocket:
              port: 3306
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      provider: "fabric8"
      project: "zipkin-starter"
      version: "0.1.3"
      group: "io.fabric8.zipkin"
      package: "zipkin-starter"
    name: "zipkin-query"
  spec:
    replicas: 1
    selector:
      provider: "fabric8"
      project: "zipkin-starter"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          provider: "fabric8"
          project: "zipkin-starter"
          version: "0.1.3"
          group: "io.fabric8.zipkin"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "STORAGE_PORT_9042_TCP_ADDR"
            value: "zipkin-cassandra:9411"
          - name: "STORAGE_PORT_3306_TCP_ADDR"
            value: "zipkin-mysql:3306"
          - name: "STORAGE_TYPE"
            value: "mysql"
          - name: "TRANSPORT_TYPE"
            value: "http"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "openzipkin/zipkin-query:1.39.3"
          name: "zipkin-query"
          readinessProbe:
            httpGet:
              path: "/api/v1/services"
              port: 9411
            initialDelaySeconds: 5
          resources:
            limits:
              cpu: "0"
              memory: "0"
            requests:
              cpu: "0"
              memory: "0"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "1"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-1"
  spec:
    replicas: 1
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "1"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          project: "zipkin-starter"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "1"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "1"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "2"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-2"
  spec:
    replicas: 1
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "2"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          project: "zipkin-starter"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "2"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "2"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
    triggers:
    - type: "ConfigChange"
- apiVersion: "v1"
  kind: "DeploymentConfig"
  metadata:
    annotations:
      fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
      fabric8.io/git-branch: "release-v0.1.3"
      fabric8.io/build-id: "2"
      fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
      fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
    labels:
      project: "zipkin-starter"
      provider: "fabric8"
      version: "2.2.108"
      serverId: "3"
      group: "io.fabric8.ipaas.apps"
      package: "zipkin-starter"
    name: "zookeeper-3"
  spec:
    replicas: 1
    selector:
      project: "zipkin-starter"
      provider: "fabric8"
      serverId: "3"
      group: "io.fabric8.zipkin"
    strategy:
      rollingParams:
        timeoutSeconds: 10800
      type: "Rolling"
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: "e867c0e79d39f7428afc35a68a7ac6786c39da26"
          fabric8.io/metrics-path: "dashboard/file/kubernetes-pods.json/?var-project=zipkin-starter&var-version=0.1.3"
          fabric8.io/build-id: "2"
          fabric8.io/build-url: "http://jenkins.ux.fabric8.io/job/oss-parent/2"
          fabric8.io/git-branch: "release-v0.1.3"
          fabric8.io/git-url: "http://gogs.ux.fabric8.io/gogsadmin/oss-parent/commit/e867c0e79d39f7428afc35a68a7ac6786c39da26"
        labels:
          project: "zipkin-starter"
          provider: "fabric8"
          version: "2.2.108"
          serverId: "3"
          group: "io.fabric8.ipaas.apps"
          package: "zipkin-starter"
      spec:
        containers:
        - env:
          - name: "ENSEMBLE_SIZE"
            value: "3"
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          - name: "SERVER_ID"
            value: "3"
          image: "fabric8/zookeeper:2.2.108"
          name: "zookeeper"
          ports:
          - containerPort: 2181
            name: "zkclient"
          - containerPort: 3888
            name: "election"
          - containerPort: 2888
            name: "peer"
          - containerPort: 8778
            name: "jolokia"
          volumeMounts:
          - mountPath: "/opt/zookeeper/data"
            name: "data"
            readOnly: false
          - mountPath: "/opt/zookeeper/log"
            name: "log"
            readOnly: false
        volumes:
        - emptyDir:
            medium: "Memory"
          name: "data"
        - emptyDir:
            medium: "Memory"
          name: "log"
    triggers:
    - type: "ConfigChange"
